org.eclipse.incquery.runtime.matchers.psystem.queries

## Interface PQueryHeader

- All Known Subinterfaces:
    InitializablePQuery, IQuerySpecification<Matcher>, PQuery
  All Known Implementing Classes:
    ActionContextQuerySpecification, ActionInputQuerySpecification, ActionOutputQuerySpecification, ActivityEdgeInGroupQuerySpecification, ActivityGroupContainedEdgeQuerySpecification, ActivityGroupContainedNodeQuerySpecification, ActivityGroupInActivityQuerySpecification, ActivityGroupQuerySpecification, ActivityGroupSubgroupQuerySpecification, ActivityGroupSuperGroupQuerySpecification, ActivityNodeActivityQuerySpecification, ActivityNodeInGroupQuerySpecification, ActivityNodeQuerySpecification, AssociationEndTypeQuerySpecification, BaseGeneratedEMFPQuery, BaseGeneratedEMFQuerySpecification, BasePQuery, BaseQuerySpecification, BehaviorContextQuerySpecification, ChildrenQuerySpecification, ClassExtensionQuerySpecification, ClassifierAllParentsQuerySpecification, ClassifierAttributeQuerySpecification, ClassifierFeatureQuerySpecification, ClassifierGeneralQuerySpecification, ClassifierParentsQuerySpecification, ClassSuperClassQuerySpecification, ConnectableElementEndQuerySpecification, ConnectorKindQuerySpecification, DeploymentTargetDeployedElementQuerySpecification, DirectedRelationshipSourceQuerySpecification, DirectedRelationshipTargetQuerySpecification, ElementOwnedElementQuerySpecification, ElementOwnerQuerySpecification, EmptyTraceQuerySpecification, EncapsulatedClassifierOwnedPortQuerySpecification, ExtensionMetaclassEndQuerySpecification, ExtensionMetaclassQuerySpecification, FeatureFeaturingClassifierQuerySpecification, GenericEMFPatternPQuery, GenericQuerySpecification, GenericQuerySpecification, GenericReferencedPQuery, GenericReferencedQuerySpecification, GenericTracedPQuery, GenericTracedQuerySpecification, MessageMessageKindQuerySpecification, NamedElementClientDependencyQuerySpecification, NamedElementNamespaceQuerySpecification, NamedElementQualifiedNameQuerySpecification, NamespaceImportedMemberQuerySpecification, NamespaceMemberQuerySpecification, NamespaceOwnedMemberQuerySpecification, OpaqueExpressionResultQuerySpecification, OperationReturnResultQuerySpecification, PackageNestedPackageQuerySpecification, PackageNestingPackageQuerySpecification, PackageOwnedStereotypeQuerySpecification, PackageOwnedTypeQuerySpecification, PackageVisibleMemberQuerySpecification, Param2containmentQuerySpecification, Param2edgeQuerySpecification, Param2itemQuerySpecification, Param2targetQuerySpecification, PropertyIsCompositeQuerySpecification, ProtocolTransitionReferredQuerySpecification, RedefinableElementRedefinedElementQuerySpecification, RedefinableElementRedefinitionContextQuerySpecification, RedefinableTemplateSignatureInheritedParameterQuerySpecification, RelationshipRelatedElementQuerySpecification, StateIsCompositeQuerySpecification, StateIsOrthogonalQuerySpecification, StructuredClassifierPartQuerySpecification, StructuredClassifierRoleQuerySpecification, Trace2objectQuerySpecification, Trace2paramQuerySpecification, Trace2targetQuerySpecification, TraceQuerySpecification, TypePackageQuerySpecification, VertexIncomingQuerySpecification, VertexOutgoingQuerySpecification

      public interface PQueryHeader

  Represents header information (metainfo) about a query.

  To be implemented both by IQuerySpecifications intended for end users, and the internal query representation `PQuery`.

  Since:
    0.9
  Author:
    Bergmann Gabor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<PAnnotation>` | `getAllAnnotations()` Returns the list of annotations specified for this query
    `java.util.List<PAnnotation>` | `getAnnotationsByName(java.lang.String annotationName)` Returns the list of annotations with a specified name
    `PAnnotation` | `getFirstAnnotationByName(java.lang.String annotationName)` Returns the first annotation with a specified name
    `java.lang.String` | `getFullyQualifiedName()` Identifies the pattern for which matchers can be instantiated.
    `java.util.List<java.lang.String>` | `getParameterNames()` Return the list of parameter names
    `java.util.List<PParameter>` | `getParameters()` Returns a list of parameter descriptions
    `java.lang.Integer` | `getPositionOfParameter(java.lang.String parameterName)` Returns the index of a named parameter

- - ### Method Detail

    - #### getFullyQualifiedName

          java.lang.String getFullyQualifiedName()

      Identifies the pattern for which matchers can be instantiated.

    - #### getParameterNames

          java.util.List<java.lang.String> getParameterNames()

      Return the list of parameter names
      Returns:
        a non-null, but possibly empty list of parameter names

    - #### getParameters

          java.util.List<PParameter> getParameters()

      Returns a list of parameter descriptions
      Returns:
        a non-null, but possibly empty list of parameter descriptions

    - #### getPositionOfParameter

          java.lang.Integer getPositionOfParameter(java.lang.String parameterName)

      Returns the index of a named parameter
      Parameters:
        `parameterName` -
      Returns:
        the index, or null of no such parameter is available

    - #### getAllAnnotations

          java.util.List<PAnnotation> getAllAnnotations()

      Returns the list of annotations specified for this query
      Returns:
        a non-null, but possibly empty list of annotations

    - #### getAnnotationsByName

          java.util.List<PAnnotation> getAnnotationsByName(java.lang.String annotationName)

      Returns the list of annotations with a specified name
      Parameters:
        `annotationName` -
      Returns:
        a non-null, but possibly empty list of annotations

    - #### getFirstAnnotationByName

          PAnnotation getFirstAnnotationByName(java.lang.String annotationName)

      Returns the first annotation with a specified name
      Parameters:
        `annotationName` -
      Returns:
        the found annotation, or null if non is available